Extending Qt Creator Manual | BehaviorSettingsPage

Extending Qt Creator Manual 4.5.2

# BehaviorSettingsPage Class

(TextEditor::BehaviorSettingsPage)

Inherits: | TextEditor::TextEditorOptionsPage

- List of all members, including inherited members

## Public Functions

| BehaviorSettingsPage(const BehaviorSettingsPageParameters &p, QObject *parent)
| ~BehaviorSettingsPage()
const BehaviorSettings & | behaviorSettings() const
ICodeStylePreferences * | codeStyle() const
CodeStylePool * | codeStylePool() const
const ExtraEncodingSettings & | extraEncodingSettings() const
const StorageSettings & | storageSettings() const
const TypingSettings & | typingSettings() const

## Reimplemented Public Functions

virtual void | apply()
virtual void | finish()
virtual QWidget * | widget()

- 9 public functions inherited from Core::IOptionsPage

## Signals

void | behaviorSettingsChanged(const TextEditor::BehaviorSettings &)
void | extraEncodingSettingsChanged(const TextEditor::ExtraEncodingSettings &)
void | storageSettingsChanged(const TextEditor::StorageSettings &)
void | typingSettingsChanged(const TextEditor::TypingSettings &)

### Additional Inherited Members

- 5 protected functions inherited from Core::IOptionsPage

## Member Function Documentation

### BehaviorSettingsPage::BehaviorSettingsPage(const BehaviorSettingsPageParameters &p, QObject *parent)

Copy constructor.

### BehaviorSettingsPage::~BehaviorSettingsPage()

Destroys the instance of BehaviorSettingsPage.

### `[virtual]` void BehaviorSettingsPage::apply()

### const BehaviorSettings &BehaviorSettingsPage::behaviorSettings() const

### `[signal]` void BehaviorSettingsPage::behaviorSettingsChanged(const TextEditor::BehaviorSettings &)

### ICodeStylePreferences *BehaviorSettingsPage::codeStyle() const

### CodeStylePool *BehaviorSettingsPage::codeStylePool() const

### const ExtraEncodingSettings &BehaviorSettingsPage::extraEncodingSettings() const

### `[signal]` void BehaviorSettingsPage::extraEncodingSettingsChanged(const TextEditor::ExtraEncodingSettings &)

### `[virtual]` void BehaviorSettingsPage::finish()

### const StorageSettings &BehaviorSettingsPage::storageSettings() const

### `[signal]` void BehaviorSettingsPage::storageSettingsChanged(const TextEditor::StorageSettings &)

### const TypingSettings &BehaviorSettingsPage::typingSettings() const

### `[signal]` void BehaviorSettingsPage::typingSettingsChanged(const TextEditor::TypingSettings &)

### `[virtual]` QWidget *BehaviorSettingsPage::widget()